Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1634845

Summary: fts-rest: Switch to Python 3 only in Fedora 30+ (or retire)
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: fts-restAssignee: michal.simon
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: andrea.manzi, cstratak, igor.raits, mhroncok, michal.simon, ngompa13, pviktori, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-02-27 08:56:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1322027, 1625773    

Description Miro Hrončok 2018-10-01 19:05:31 UTC
In line with the Mass Python 2 Package Removal [0], the following (sub)packages of fts-rest were marked for removal:

 * fts-rest-cloud-storage
 * fts-rest-http-authz-signed-cert
 * fts-rest-oauth2
 * python2-fts

According to our query, those (sub)packages only provide a Python 2 importable module. If this is not true, please tell us why, so we can fix our query.

Please remove them from your package.

As said in the change document, if there is no objection in a week, we will remove the package(s) as soon as we get to it. This change might not match your packaging style, so we'd prefer if you did the change. If you need more time, please let us know here.

We hope this doesn't come to you as a surprise. If you want to know our motivation for this, please read the change document [0].

[0] https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

Comment 1 Andrea 2018-10-09 09:25:04 UTC
Hi Miro,
we are refactoring this component to use pyramid instead of pylons and to support python3.
So the whole component is now only python2. What should we do in this case? Don't add it to Fedora 30 and put it back when the migration is completed?
thanks
Andrea

Comment 2 Miro Hrončok 2018-10-09 13:06:21 UTC
Would you be able to finish before Fedora 30 is released?

https://fedoraproject.org/wiki/Releases/30/Schedule

Comment 3 Andrea 2018-10-09 13:44:38 UTC
ah, i think so, i thought the fedora 30 release was end of the year.
Ok so we may just want to remove the packages now or we keep things like this?

Comment 4 Miro Hrončok 2018-10-09 13:49:59 UTC
Thanks. I've changed the title. No reason to remove the packages just to add them later.

Comment 5 Miro Hrončok 2019-02-26 12:19:07 UTC
The beta freeze is at 2019-03-05. Will you make it? Do you need help?

Comment 6 Andrea 2019-02-26 17:27:10 UTC
Hi Miro,
unfortunately we have not yet start working in this so i will retire the package from rawhide.
i guess i will also retire python-pylons and python-beaker which are also FTBSFS in Rawhide, what do you suggest?
thanks
Andrea

Comment 7 Miro Hrončok 2019-02-26 23:19:06 UTC
Yes plese, retire pylons and fts-rest on f30 and rawhide.

See also https://bugzilla.redhat.com/show_bug.cgi?id=1307937#c7 where I propose the same.

For beaker, removing python2 and the dependency on mongodb might be sufficient.

Comment 8 Andrea 2019-02-27 08:56:35 UTC
ok thanks i have retired both fts-rest and f30 from rawhide and f30 and i will try to fix beaker in these days.

Comment 9 Miro Hrončok 2019-02-27 09:21:34 UTC
Thank you.

Comment 10 Red Hat Bugzilla 2023-09-12 01:33:27 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days